
#ifndef LEXER_H
#define	LEXER_H

#ifndef yyFlexLexerOnce
#include <FlexLexer.h>
#endif
#include "grammar_parser.hpp"

namespace ast
{
    class ast_factory;
}

namespace grammar
{
    class lexer : public yyFlexLexer
    {
    public:
        lexer(std::istream& in) : yyFlexLexer(&in) {}
        
        parser::symbol_type yylex(int dummy);

    };
}


#endif	/* LEXER_H */
